Get inventory by location - Fabric
Get inventory by location
cURL
curl --request GET \
--url https://prod01-apigw.yourcompany.fabric.zone/api-inventory/inventory/location/{locationId} \
--header 'x-site-context: <x-site-context>'
Python
import requests
url = "https://prod01-apigw.yourcompany.fabric.zone/api-inventory/inventory/location/{locationId}"
headers = {"x-site-context": "<x-site-context>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {method: 'GET', headers: {'x-site-context': '<x-site-context>'}};
fetch('https://prod01-apigw.yourcompany.fabric.zone/api-inventory/inventory/location/{locationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response Codes
- 200
- 400
- 403
- 404
- 500
Response Example
{
"query": {
"limit": 10,
"offset": 0,
"count": 3
},
"inventories": [\
{\
"itemdId": 1000000033,\
"inStock": 5000,\
"channel": [\
{\
"quantityReserved": 0,\
"_id": "60f0e15f9cf5e800084a6718",\
"channelId": 12,\
"allocation": {\
"mou": "ABSOLUTE",\
"unti": 5000\
},\
"id": "60f0e15f9cf5e800084a6718"\
}\
],\
"location": "60a6e451d5748b0008ac85a0"\
}\
]\
}
Error Responses
{
"code": "<string>",
"message": "<string>"
}
{
"message": "Forbidden"
}
{
"code": "LOCATION_NOT_FOUND",
"message": "Location 123456789012345678901234 not found"
}
Headers
- x-site-context (string, required): The
x-site-contextheader is a JSON object that contains information about the source you wish to pull from. The mandatoryaccountis the 24 character identifier found in Copilot. Thechannel(Sales channel ID),stage(environment name), anddateattributes can be used to further narrow the scope of your data source.
Example:
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
- x-api-key (string):
Example:
"0LybWR49k95cCwYh3cu0waCYoh4H2Eux2J52wn4k"
Path Parameters
- locationId (string, required): Required string length:
24Example:"5e4b0a8cef94d00b11acc382"
Query Parameters
- Search parameters (object)